All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.olaptableview.html
Interface OLAPTableViewStyleKeysInterface

All Known Implementing Classes:
  OLAPTableView

    @SASScope(value="ALL")
    public interface OLAPTableViewStyleKeysInterface

The OLAPTableViewStyleKeysInterface defines keys used to return styles used by the OLAPTableView.

Field Summary
`static java.lang.String` | `OLAPTABLEVIEW_COLUMN_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_COLUMN_MEASURE_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_COLUMN_TITLE_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_DATA_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_EMPTY_DATA_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_EMPTY_ROW_TITLE_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_FOOTER_ROW_STYLE` Style Area Key to retrieve style information for a footer row using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_RAGGED_COLUMN_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_RAGGED_LAST_ROW_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_RAGGED_ROW_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_ROW_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_ROW_MEASURE_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_ROW_TITLE_HEADER_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_STYLE` Style Area Key to retrieve style information using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_FOR_EXPORT_TO_EXCEL_STYLE` Style Area Key to retrieve style information for a totals table cell when exporting to Excel using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_HEADER_FOR_EXPORT_TO_EXCEL_STYLE` Deprecated. use OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE and/or OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_HEADER_STYLE` Deprecated. use OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_STYLE and/or OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_STYLE
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_SUBTOTALS_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_TITLE_ROW_STYLE` Style Area Key to retrieve style information for a title row using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_FOR_EXPORT_TO_EXCEL_STYLE` Style Area Key to retrieve style information for a totals table cell when exporting to Excel using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_HEADER_FOR_EXPORT_TO_EXCEL_STYLE` Deprecated. use OLAPTABLEVIEW_TOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE and/or OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_HEADER_STYLE` Deprecated. use OLAPTABLEVIEW_TOTALS_ROW_HEADER_STYLE and/or OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_STYLE
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE` Style Area Key to retrieve style information for a totals table cell when exporting to Excel using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_ROW_HEADER_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager
`static java.lang.String` | `OLAPTABLEVIEW_TOTALS_STYLE` Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

Field Detail

### OLAPTABLEVIEW_STYLE

    static final java.lang.String OLAPTABLEVIEW_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_ROW_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_ROW_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_ROW_MEASURE_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_ROW_MEASURE_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_ROW_TITLE_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_ROW_TITLE_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_EMPTY_ROW_TITLE_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_EMPTY_ROW_TITLE_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_COLUMN_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_COLUMN_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_COLUMN_MEASURE_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_COLUMN_MEASURE_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_COLUMN_TITLE_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_COLUMN_TITLE_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_DATA_STYLE

    static final java.lang.String OLAPTABLEVIEW_DATA_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_EMPTY_DATA_STYLE

    static final java.lang.String OLAPTABLEVIEW_EMPTY_DATA_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_RAGGED_ROW_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_RAGGED_ROW_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_RAGGED_LAST_ROW_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_RAGGED_LAST_ROW_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_RAGGED_COLUMN_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_RAGGED_COLUMN_HEADER_STYLE

  Style Area Key to retrieve style information using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_ROW_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_ROW_HEADER_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_FOR_EXPORT_TO_EXCEL_STYLE

  Style Area Key to retrieve style information for a totals table cell when exporting to Excel using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_FOR_EXPORT_TO_EXCEL_STYLE

  Style Area Key to retrieve style information for a totals table cell when exporting to Excel using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

  Style Area Key to retrieve style information for a totals table cell when exporting to Excel using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

  Style Area Key to retrieve style information for a totals table cell using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_HEADER_STYLE

  Deprecated. use OLAPTABLEVIEW_TOTALS_ROW_HEADER_STYLE and/or OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_STYLE
  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_HEADER_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_HEADER_STYLE

  Deprecated. use OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_STYLE and/or OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_STYLE
  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TOTALS_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_TOTALS_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

  Deprecated. use OLAPTABLEVIEW_TOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE and/or OLAPTABLEVIEW_TOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE
  See Also:
    Constant Field Values

### OLAPTABLEVIEW_SUBTOTALS_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

    static final java.lang.String OLAPTABLEVIEW_SUBTOTALS_HEADER_FOR_EXPORT_TO_EXCEL_STYLE

  Deprecated. use OLAPTABLEVIEW_SUBTOTALS_ROW_HEADER_FOR_EXPORT_TO_EXCEL_STYLE and/or OLAPTABLEVIEW_SUBTOTALS_COLUMN_HEADER_FOR_EXPORT_TO_EXCEL_STYLE
  See Also:
    Constant Field Values

### OLAPTABLEVIEW_TITLE_ROW_STYLE

    static final java.lang.String OLAPTABLEVIEW_TITLE_ROW_STYLE

  Style Area Key to retrieve style information for a title row using the ComponentStyleManager

  See Also:
    Constant Field Values

### OLAPTABLEVIEW_FOOTER_ROW_STYLE

    static final java.lang.String OLAPTABLEVIEW_FOOTER_ROW_STYLE

  Style Area Key to retrieve style information for a footer row using the ComponentStyleManager

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.